use dwhsk_stage_prod
go
drop table drop_fi_semaforo
create table drop_fi_semaforo ( uno char(1) ,
constraint pk_drop_fi_semaforo primary key clustered ( uno) on dwhsk_stage_data
) on dwhsk_stage_data
insert into drop_fi_semaforo values ( '1')
insert into drop_fi_semaforo values ( '2')
insert into drop_fi_semaforo values ( '3')

-- To get the semaphore : exclusive lock on a single row , must be PK
begin tran
select * from drop_fi_semaforo
with ( rowlock, UPDLOCK,holdlock)
where Uno = '1'
-- To release, commit or rollback

-- To view the locks :

select * from sys.dm_tran_locks where resource_associated_entity_id in (
select OBJECT_ID from dwhsk_stage_prod.sys.objects where name = 'drop_fi_semaforo'
union all
select OBJECT_ID from DWHSK_TARGET_PROD.sys.objects where name = 'drop_fi_POP_PROVA' )

DBCC SQLPERF(logspace) -- Monitors transaction log usage 